This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 613766 - Review Request: python-xlwt - Library to generate files compatible with Microsoft Excel
Review Request: python-xlwt - Library to generate files compatible with Mic...
Status: CLOSED DUPLICATE of bug 818264
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
: 626896 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 15:14 EDT by Jef Spaleta
Modified: 2012-05-08 10:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 10:06:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2010-07-12 15:14:30 EDT
Spec URL: 
http://people.fedoraproject.org/~jspaleta/python-xlwt/python-xlwt.spec

SRPM URL: 
http://people.fedoraproject.org/~jspaleta/python-xlwt/python-xlwt-0.7.2-1.fc13.src.rpm

Description: <description here>
A Library to create spreadsheet files compatible 
with MS Excel 97/2000/XP/2003 XLS files.


This is a python module required by helper tools included in matplotlib's mpl_toolkit collection.
Comment 1 Athmane Madjoudj 2010-07-12 15:38:42 EDT
Build: [OK]

rpmlint output:

$ rpmlint python-xlwt-0.7.2-1.fc13.src.rpm 
python-xlwt.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-xlwt.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-xlwt-0.7.2-1.fc13.noarch.rpm 
python-xlwt.noarch: I: enchant-dictionary-not-found en_US
python-xlwt.noarch: W: file-not-utf8 /usr/share/doc/python-xlwt-0.7.2/licences.py
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Notes:

- Tip to correct file-not-utf8 warning: https://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8
Comment 2 Volker Fröhlich 2010-07-13 05:26:39 EDT
Are you aware of xlutils?

http://pypi.python.org/pypi/xlutils

Fedora could probably ship xlutils instead of separate xlrd and xlwt.
Comment 3 Jef Spaleta 2010-07-13 12:37:42 EDT
Uhm...instead of?

xlutils requires xlrd and xlrd as prerequisites.  Just because xlutils upstream bundles these other projects into its distribution as well as errorhandler, if the system doesn't provide them.. that doesn't mean its correct to package it that way.

Project policy would actually suggest that because they are separate codebases it is preferred to keep them as a separate modules.  The correct way to provide support for xlutils is to package xlrd and xlwt first then have xlutil depend on those packages.

Now this happens all the time with python stuff unknowningly. But I'm not inclined to deliberately go against policy here..especially since I'm doing this package specifically to meet the matplotlib dependency as narrowly as possible.  

If you want to get python-xlutils packaged, and your already a sponsored contributor, then I'll work with you as your reviewer to get python-xlrd and python-errorhandler packaged as prereqs and sign on as co-maintainer.

-jef
Comment 4 Volker Fröhlich 2010-07-13 12:55:18 EDT
No, that's fine.
Comment 5 Thomas Spura 2010-08-25 04:42:07 EDT
*** Bug 626896 has been marked as a duplicate of this bug. ***
Comment 6 Jason Tibbitts 2010-12-01 20:37:16 EST
So what's up with this ticket?  It still has the file-not-utf8 complaint, so Athmane's comments don't seem to have had any effect.  Jef, do you still wish to submit this package?

Additional comments:

The license is wrong; this is the old, bad 4-clause "BSD with advertising" license.

There's a tests directory; is it not possible to run those tests in a %check section?

There's some stuff you don't need since you're not targeting RHEL4/5 (BuildRoot, %clean, first line of %install).
Comment 7 Jef Spaleta 2010-12-08 15:11:37 EST
Jason,

I'm still interested, I'll find the cycles this week to refresh and get into compliance with current best practises now that and F12 branch is no longer needed.

-jef
Comment 8 Jens Kuehnel 2011-05-09 12:20:45 EDT
Hi Jef,

could you make the SRPMS and SPEC file available again?

Thanks
CU
Jens
Comment 9 Jens Kuehnel 2011-05-09 12:21:43 EDT
Sorry, I hate the proxy here. Please ignore Comment #8.
Comment 10 Matthias Runge 2012-03-24 14:22:28 EDT
Any progress here? I'd close this request, if there's no answer during the next month.
Comment 11 Alec Leamas 2012-05-08 10:06:08 EDT

*** This bug has been marked as a duplicate of bug 818264 ***

Note You need to log in before you can comment on or make changes to this bug.